Page MenuHomePhabricator

[S] (minor) MediaSearch UI issues
Closed, ResolvedPublic

Description

Fixed (see the comment) (1) Some text/controls are displayed briefly when Special:MediaSearch page loads.
(click to see animated gif)

(2) Parts of long search query strings are displayed under the icon "mw-icon mw-indicator-component__icon oo-ui-image-invert oo-ui-icon-close"

Special:MediaSearchSpecial:Search

Fixed (3) Mobile - the font-size for "wbmi-media-search-input__input" is 14px which looks small (Special:Search "oo-ui-inputWidget-input" has font-size: 100%; which is a browser default 16px).
Note: the Desktop search box text font-size is the same for both pages - Special:MediaSearch (14px) and Special:Search (font-size: calc(1em * 0.875).

Special:MediaSearchSpecial:Search

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 31 2020, 8:30 PM
CBogen renamed this task from (minor) MediaSearch UI issues to [S] (minor) MediaSearch UI issues.Aug 5 2020, 4:27 PM
egardner added a subscriber: egardner.

I'm bumping this to beta for now (we can tackle it sooner if we get the rest of the alpha tasks done).

In general I'd say at this point all design improvements and mobile improvements can be handled in the Beta milestone; Alpha should be for getting the key functionality correct and (mostly) complete.

AnneT claimed this task.Aug 13 2020, 4:28 PM

Bumping this one to later (cleanup/polish for RC) since Beta phase is pretty packed right now.

(1) Some text/controls are displayed briefly when Special:MediaSearch page loads.
(click to see animated gif)

The issue was fixed with T258611 patch - https://gerrit.wikimedia.org/r/623358

Change 633235 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/WikibaseMediaInfo@master] Account for indicator in search input padding

https://gerrit.wikimedia.org/r/633235

AnneT updated the task description. (Show Details)Oct 9 2020, 7:32 PM
AnneT moved this task from Doing to Code Review on the Structured-Data-Backlog (Current Work) board.

Change 633235 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Account for indicator in search input padding

https://gerrit.wikimedia.org/r/633235

Etonkovidova closed this task as Resolved.Nov 24 2020, 3:25 AM

Checked in commons wmf.18